%define url_ver	%(echo %{version} | cut -d. -f1,2)

%global __requires_exclude ^typelib\\(libxfce4ui

Name:		xfce4-panel-profiles
Summary:	A simple application to manage Xfce panel layouts
Version:	1.0.12
Release:	%mkrel 2
License:	GPLv3
Group:		Graphical desktop/Xfce
Url:		https://git.xfce.org/apps/xfce4-panel-profiles/about/
Source0:	https://archive.xfce.org/src/apps/xfce4-panel-profiles/%{url_ver}/xfce4-panel-profiles-%{version}.tar.bz2
BuildArch:	noarch
BuildRequires:	intltool
Requires:	python3-gobject3

%description
Xfce4 Panel Profiles (xfce4-panel-profiles, formerly known as xfpanel-switch)
is a simple application to manage Xfce panel layouts.

With the modular Xfce Panel, a multitude of panel layouts can be created.
This tool makes it possible to backup, restore, import, and export these
panel layouts.

%prep
%setup -q

%build
./configure \
	--prefix=%{_prefix} \
	--python=python3
%make_build

%install
%make_install

#handle docs in files section
rm -rf %{buildroot}%{_docdir}

#fix perms
chmod 0644 %{buildroot}%{_datadir}/%{name}/layouts/*

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README*
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/org.xfce.PanelProfiles.desktop
%{_metainfodir}/org.xfce.PanelProfiles.appdata.xml
%{_mandir}/man1/xfce4-panel-profiles.1*
%{_iconsdir}/hicolor/*/apps/org.xfce.PanelProfiles.{png,svg}


%changelog
* Fri Jan 01 2021 wally <wally> 1.0.12-2.mga8
+ Revision: 1667856
- filter our bogus requires

* Tue Dec 29 2020 wally <wally> 1.0.12-1.mga8
+ Revision: 1664921
- new version 1.0.12

* Wed Feb 19 2020 umeabot <umeabot> 1.0.10-2.mga8
+ Revision: 1543154
- Mageia 8 Mass Rebuild

* Wed Jan 15 2020 wally <wally> 1.0.10-1.mga8
+ Revision: 1478102
- new version 1.0.10

* Wed Jul 31 2019 wally <wally> 1.0.9-1.mga8
+ Revision: 1426422
- new version 1.0.9

* Fri Sep 21 2018 umeabot <umeabot> 1.0.8-2.mga7
+ Revision: 1292161
- Mageia 7 Mass Rebuild

* Sat Jul 28 2018 wally <wally> 1.0.8-1.mga7
+ Revision: 1245635
- imported package xfce4-panel-profiles

